# module Log::Formatter

##
Overview

Base interface to convert log entries and write them to an `IO`

##
Defined in:

log/format.cr

##
Constructors

- .new(&proc : Log::Entry, IO -> )

  Creates an instance of a `Log::Formatter` that calls the specified `Proc` for every entry

##
Instance Method Summary

- #format(entry : Log::Entry, io : IO)

  Writes a `Log::Entry` through an `IO`

##
Constructor Detail

def self.new(&proc : Log::Entry, IO -> ) #

Creates an instance of a `Log::Formatter` that calls the specified `Proc` for every entry

##
Instance Method Detail

abstract def format(entry : Log::Entry, io : IO) #

Writes a `Log::Entry` through an `IO`